View Issue Details

IDProjectCategoryView StatusLast Update
11945Feature requests[All Projects] Survey takingpublic2017-04-25 15:14
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityfeature 
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary11945: no-js update by external file
DescriptionIn 3.0 : the no-js is done to show something to user with js disabled : OK. But in real world : there are more user with:
- JS allowed
- JS file allowed ONLY for whitelisted website

Then need the script for this option type

PS : https://www.paulirish.com/2009/avoiding-the-fouc-v3/
Additional InformationSee : https://support.microsoft.com/en-us/kb/3135465 for security level in IE.

Know situation where whole internet is untrusted (except ... GAFAM)
-> Bank
-> Governement https://bugs.limesurvey.org/view.php?id=11944

Then : need to update bthe no-js class with an external file .... but in package, then need to get the file url from package ....
TagsNo tags attached.

Relationships

parent of 12343 feedbackLouisGac Bug reports javascript error mus be different for nojs and no external js 
related to 11944 closedc_schmitz Bug reports Check marks not appearing in selected boxes of multiple choice questions 
Not all the children of this issue are yet resolved or closed.

Activities

DenisChenu

DenisChenu

2016-11-23 00:52

developer   ~42162

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=21588

Related Changesets

LimeSurvey: develop 8076be39

2016-11-23 00:51:07

DenisChenu

Details Diff
New feature 11945: no-js ability updated by external file
Dev: this fix external js security level in IE
Dev: @LouisGac : i touch to SurveyRunTime (new function)
Dev: js.js can be moved to start of survey.js, didn't change a lot
mod - application/config/packages.php Diff File
add - application/core/packages/limesurvey/js.js Diff File
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/common_helper.php Diff File
mod - application/models/TemplateConfiguration.php Diff File
mod - application/views/layouts/public.php Diff File
mod - application/views/survey/system/errorAlert.php Diff File
mod - application/views/survey/system/errorWarning.php Diff File
mod - application/views/survey/system/no-javascript.php Diff File
mod - templates/default/config.xml Diff File

Issue History

Date Modified Username Field Change
2016-11-22 23:27 DenisChenu New Issue
2016-11-22 23:27 DenisChenu Status new => assigned
2016-11-22 23:27 DenisChenu Assigned To => DenisChenu
2016-11-22 23:27 DenisChenu Relationship added related to 11944
2016-11-22 23:30 DenisChenu Description Updated View Revisions
2016-11-22 23:39 DenisChenu Additional Information Updated View Revisions
2016-11-23 00:52 DenisChenu Changeset attached => LimeSurvey develop 8076be39
2016-11-23 00:52 DenisChenu Note Added: 42162
2016-11-23 00:52 DenisChenu Resolution open => fixed
2016-11-23 00:54 DenisChenu Status assigned => resolved
2016-11-23 00:54 DenisChenu Fixed in Version => 3.0
2017-04-25 15:14 DenisChenu Relationship added parent of 12343